#ifndef __TOKEN_H__
#define __TOKEN_H__

#include "domain.h"
#include "feature-cache.h"

////////////////////////////////////////////////////////////

struct Token {
  Token() { }
  bool parse(char *s, Domain &D);
  static Token *create_special_token(Domain &D, const char *s);

  int word; // Input
  int tag; // Output (for tagging)
  Seg seg; // Output (for segmenting)

  int pos;
  SegTag chunk;
  SegTag ent;
};

#endif
