#ifndef __FEATURES_MACROS_H__
#define __FEATURES_MACROS_H__

#define encode1(a, na)                         (a)
#define encode2(a, na, b, nb)                 ((a)*(nb)+(b))
#define encode3(a, na, b, nb, c, nc)         (((a)*(nb)+(b))*(nc)+(c))
#define encode4(a, na, b, nb, c, nc, d, nd) ((((a)*(nb)+(b))*(nc)+(c))*(nd)+(d))

#define decode1(x, a, na)                                                          a=x
#define decode2(x, a, na, b, nb)                                           b=x%nb, a=x/nb
#define decode3(x, a, na, b, nb, c, nc)                      c=x%nc,x/=nc, b=x%nb, a=x/nb
#define decode4(x, a, na, b, nb, c, nc, d, nd) d=x%nd,x/=nd, c=x%nc,x/=nc, b=x%nb, a=x/nb

#define nwords   D.word_db.size()
#define npos     D.pos_db.size()
#define ntags    D.tag_db.size()
#define nsegs    D.seg_db.size()

#endif
